package oco.tests.junits;

import oco.erreur.MessageErrorManager;
import oco.FormatControl;
import junit.framework.TestCase;


public class TestDivers extends TestCase {

	protected void setUp() throws Exception {
		super.setUp();
		System.setProperty("application.properties", "PROPERTIES/application.properties");
		System.out.println("");
	}
	
	MessageErrorManager gestionMessageErreur ;

	// FAE 1406
	public void test01() {
		System.out.println("test01");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/attribut_flottant_1.0.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	// FAE 1406
	public void test02() {
		System.out.println("test02 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/attribut_flottant_1.1.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	// FAE 1426
	public void test03() {
		System.out.println("test03");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/1900071_prof.nc",
				"Tests/Regles/DIVERS/applicable_if_variable_1.0.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}	
	}
	
	// FAE 1426
	public void test04() {
		System.out.println("test04");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/1900071_prof.nc",
				"Tests/Regles/DIVERS/applicable_if_variable_1.1.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	// FAE 1426
	public void test05() {
		System.out.println("test05");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/1900071_prof.nc",
				"Tests/Regles/DIVERS/applicable_if_variable_1.2.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	// FAE 1426
	public void test06() {
		System.out.println("test06");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/applicable_if_global_attribute_1.0.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}
	
	// FAE 1426
	public void test07() {
		System.out.println("test07");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/applicable_if_global_attribute_1.1.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	// FAE 1426
	public void test08() {
		System.out.println("test08");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/applicable_if_global_attribute_1.2.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	// FAE 1427
	public void test09() {
		System.out.println("test09");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/sax_error_1.1.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	// FAE 1427
	public void test10() {
		System.out.println("test10");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/sax_error_1.2.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	// FAE 1428
	public void test11() {
		System.out.println("test11");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/dimension_count_1.2.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	// FAE 1428
	public void test12() {
		System.out.println("test12");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/dimension_count_1.3.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	// FAE 1429
	public void test13() {
		System.out.println("test13");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/dimension_count_1.4.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	// FAE 1430
	public void test14() {
		System.out.println("test14");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/dimension_rank_1.1.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	// FAE 1430
	public void test15() {
		System.out.println("test15");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/dimension_rank_1.2.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	// FAE 1431
	public void test16() {
		System.out.println("test16");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/variable_by_dimension_1.1.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	// FAE 1431
	public void test17() {
		System.out.println("test17");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/variable_by_dimension_1.2.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	// FAE 1431
	public void test18() {
		System.out.println("test18");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/variable_by_dimension_1.3.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	/**
	 * FAE 1433 1434 1436
	 * 
	 */
	
	// MANDATORY - DIMENSION de fichier - VALUE UNLIMITED
	public void test19() {
		System.out.println("test19");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/1900071_prof.nc",
				"Tests/Regles/DIVERS/dimension_file_1.0.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}
	// MANDATORY - DIMENSION de fichier - VALUE
	public void test20() {
		System.out.println("test20");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/dimension_file_1.1.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	// OPTIONAL - DIMENSION de fichier - VALUE
	public void test21() {
		System.out.println("test21");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/dimension_file_1.2.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	
	// MANDATORY - DIMENSION de variable - RANK obligatoire
	public void test22() {
		System.out.println("test22");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/dimension_rank_1.9.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	// MANDATORY - DIMENSION de variable - RANK
	public void test23() {
		System.out.println("test23");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/dimension_rank_2.1.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	// MANDATORY - DIMENSION de variable - RANK
	public void test24() {
		System.out.println("test24");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/dimension_rank_2.2.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	// OPTIONAL - DIMENSION de variable - RANK
	public void test25() {
		System.out.println("test25");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/dimension_rank_2.3.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	
	// MANDATORY - VARIABLE PATTERN
	public void test26() {
		System.out.println("test26");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/variable_by_pattern_1.0.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}
	// MANDATORY - VARIABLE PATTERN
	public void test27() {
		System.out.println("test27");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/variable_by_pattern_1.1.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	// OPTIONAL - VARIABLE PATTERN
	public void test28() {
		System.out.println("test28");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/variable_by_pattern_1.2.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	// MANDATORY - VARIABLE VALUE domine PATTERN
	public void test29() {
		System.out.println("test29");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/variable_by_value_and_pattern_1.1.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	// MANDATORY - VARIABLE ni VALUE ni PATTERN
	public void test30() {
		System.out.println("test30");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/variable_by_value_and_pattern_1.2.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	// APPLICABLE_IF - GLOBAL_ATTRIBUTE PATTERN
	public void test31() {
		System.out.println("test31");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/applicable_if_global_attribute_by_pattern.1.0.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}
	// APPLICABLE_IF - GLOBAL_ATTRIBUTE PATTERN
	public void test32() {
		System.out.println("test32");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/applicable_if_global_attribute_by_pattern.1.1.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	// MANDATORY - GLOBAL_ATTRIBUTE PATTERN
	public void test33() {
		System.out.println("test33");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/global_attribute_by_pattern_1.0.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}
	// MANDATORY - GLOBAL_ATTRIBUTE PATTERN
	public void test34() {
		System.out.println("test34");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/global_attribute_by_pattern_1.1.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	// MANDATORY - VARIABLE ATTRIBUTE PATTERN
	public void test35() {
		System.out.println("test35");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/variable_attribute_pattern_1.0.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}
	// MANDATORY - VARIABLE ATTRIBUTE PATTERN
	public void test36() {
		System.out.println("test36");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/variable_attribute_pattern_1.1.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	// supression de AT_LEAST
	public void test37() {
		System.out.println("test37");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/at_least_1.0.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	// file_warning
	public void test38() {
		System.out.println("test38");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/warning_mandatory_1.0.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	// FAE 1547 : expression reguliere entire (matches au lieu de find)
	public void test39() {
		System.out.println("test39");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/global_attribute_by_pattern_1.2.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	public void test40() {
		System.out.println("test40");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/applicable_if_global_attribute_by_pattern.1.2.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	public void test41() {
		System.out.println("test41");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/aladin_latest.nc",
				"Tests/Regles/DIVERS/variable_by_pattern_1.3.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
}
