package oco.tests.junits;

import oco.erreur.MessageErrorManager;
import oco.FormatControl;
import junit.framework.TestCase;

/**
 * A passer avec Validator1.5.xsd
 * 
 */
public class TestMandatory extends TestCase {
	
	protected void setUp() throws Exception {
		super.setUp();
		System.setProperty("application.properties", "PROPERTIES/application.properties");
		System.out.println("");
	}
	
	MessageErrorManager gestionMessageErreur;

	////////////////////////////////////////////////// DIMENSION
	public void test1() {
		System.out.println("test1");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra1.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test2() {
		System.out.println("test2");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra2.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}
	
	public void test3() {
		System.out.println("test3 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra3.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	public void test4() {
		System.out.println("test4 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra4.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	public void test5() {
		System.out.println("test5 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra5.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test6() {
		System.out.println("test6 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra6.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test7() {
		System.out.println("test7 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra2.nc",
				"Tests/Regles/SPECTRA/R_Spectra7.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test8() {
		System.out.println("test8 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra8.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test9() {
		System.out.println("test9 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra9.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test10() {
		System.out.println("test10 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra10.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test11() {
		System.out.println("test11 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra11.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test12() {
		System.out.println("test12 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra12.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test13() {
		System.out.println("test13 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra13.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test14() {
		System.out.println("test14 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra14.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test15() {
		System.out.println("test15 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra15.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test16() {
		System.out.println("test16");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra16.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test17() {
		System.out.println("test17");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra17.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test18() {
		System.out.println("test18 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra18.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test19() {
		System.out.println("test19 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra19.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test20() {
		System.out.println("test20 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra20.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test21() {
		System.out.println("test21 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra21.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test22() {
		System.out.println("test22 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra22.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test23() {
		System.out.println("test23");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra23.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test24() {
		System.out.println("test24 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra24.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test25() {
		System.out.println("test25 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra25.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test26() {
		System.out.println("test26 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra26.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test27() {
		System.out.println("test27 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra27.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test28() {
		System.out.println("test28");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra28.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test29() {
		System.out.println("test29 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra29.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test30() {
		System.out.println("test30 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra30.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test31() {
		System.out.println("test31 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra31.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test32() {
		System.out.println("test32 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra32.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test33() {
		System.out.println("test33 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra33.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test34() {
		System.out.println("test34 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra34.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test35() {
		System.out.println("test35 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra35.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test36() {
		System.out.println("test36 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra36.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test37() {
		System.out.println("test37 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra37.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test38() {
		System.out.println("test38 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra38.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test39() {
		System.out.println("test39 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra39.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test40() {
		System.out.println("test40 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra40.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test41() {
		System.out.println("test41 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra41.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test42() {
		System.out.println("test42 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra42.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test43() {
		System.out.println("test43 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra43.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test44() {
		System.out.println("test44 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra44.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test45() {
		System.out.println("test45");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra45.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test46() {
		System.out.println("test46");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra46.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test47() {
		System.out.println("test47 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra47.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test48() {
		System.out.println("test48 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra48.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test49() {
		System.out.println("test49 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra49.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

//	public void test50() {
//		System.out.println("test50 status ko");
//		gestionMessageErreur = FormatControl.executerTest(
//				"Tests/Cdf/SPECTRA/spectra1.nc",
//				"Tests/Regles/SPECTRA/R_Spectra50.xml");
//		if (gestionMessageErreur.isCompliant() == true) {
//			fail();
//		}
//	}

	public void test51() {
		System.out.println("test51");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra51.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test52() {
		System.out.println("test52 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra52.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test53() {
		System.out.println("test53 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra53.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test54() {
		System.out.println("test54 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra54.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test55() {
		System.out.println("test55");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra55.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}
	
	public void test56() {
		System.out.println("test56");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra56.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}
	
	public void test57() {
		System.out.println("test57 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra57.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	public void test58() {
		System.out.println("test58 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra58.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}
	
	public void test59() {
		System.out.println("test59");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra59.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}
	
	public void test60() {
		System.out.println("test60");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra60.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test61() {
		System.out.println("test61 status ko");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra61.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test62() {
		System.out.println("test62 compliant yes");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra62.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test63() {
		System.out.println("test63 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra63.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test64() {
		System.out.println("test64 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra64.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test65() {
		System.out.println("test65 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra65.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test66() {
		System.out.println("test66");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra66.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test67() {
		System.out.println("test67");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra67.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test68(){
		System.out.println("test68 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra68.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test69(){
		System.out.println("test69 compliant no");

		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/spectra1.nc",
				"Tests/Regles/SPECTRA/R_Spectra69.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test70(){
		System.out.println("test70");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/SPECTRA/test3.nc",
				"Tests/Regles/SPECTRA/R_Spectra70.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}
}
