package oco.tests.junits;

import java.util.HashMap;

import junit.framework.TestCase;
import oco.erreur.MessageErrorManager;

public class TestMessageFormat extends TestCase {

	public void testMessageCourt() {
		HashMap<String,String> map = new HashMap<String,String>();
		map.put("{0}","toto");
		map.put("{1}","titi");
		String msgError = "{0} et {1} et {2}";
		System.out.println(MessageErrorManager.formatMessage(msgError,map));
	}

	public void testMessageLong() {
		HashMap<String,String> map = new HashMap<String,String>();
		map.put("{0}","toto");
		map.put("{1}","titi");
		map.put("{2}","tutu");
		map.put("{3}","tata");
		String msgError = "{0} et {1} et {2}";
		System.out.println(MessageErrorManager.formatMessage(msgError,map));
	}

	public void testNull() {
		HashMap<String,String> map = new HashMap<String,String>();
		map.put("{0}","toto");
		System.out.println(MessageErrorManager.formatMessage(null,map));

	}
}
