package oco.tests.junits;

import java.io.File;

import oco.erreur.InvalidXmlException;
import oco.erreur.MessageErrorManager;
import oco.erreur.RessourceException;
import oco.traitement.XmlManager;
import junit.framework.TestCase;



public class TestXsd extends TestCase {	
	
	protected void setUp() throws Exception {
		super.setUp();
		System.setProperty("application.properties", "PROPERTIES/application.properties");
		System.out.println("");
		report.begin();
	}
	
	protected void tearDown() throws Exception {
		super.tearDown();
		report.end();
	}

	MessageErrorManager report = new MessageErrorManager();
	
	public void test1() {
		System.out.println("test1 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test1.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			return;
		} 
		fail(); 
	}
	
	public void test2() {
		System.out.println("test2");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test2.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();

		}catch (InvalidXmlException e) {
			fail();
		}
	}
	
	public void test3() {
		System.out.println("test3");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test3.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			fail();
		}

	}
	
	public void test4() {
		System.out.println("test4 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test4.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();

		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}
	
	public void test5() {
		System.out.println("test5 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test5.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();

		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}
	
	public void test6() {
		System.out.println("test6 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test6.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();

		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}
	
	public void test7() {
		System.out.println("test7 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test7.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();

		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}
	
	public void test8() {
		System.out.println("test8");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test8.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
			fail();
		}catch (InvalidXmlException e) {
			
			fail();
		}
	}
	
	public void test9() {
		System.out.println("test9");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test9.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
			fail();
		}catch (InvalidXmlException e) {
			
			fail();
		}
	}
	
	public void test10() {
		System.out.println("test10");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test10.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
			fail();
		}catch (InvalidXmlException e) {
			
			fail();
		}
	}
	
	public void test11() {
		System.out.println("test11 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test11.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}
	
	public void test12() {
		System.out.println("test12 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test12.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
			return;
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}
	
	public void test13() {
		System.out.println("test13 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test13.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}

	public void test14() {
		System.out.println("test14 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test14.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}

	public void test15() {
		System.out.println("test15 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test15.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}

	public void test16() {
		System.out.println("test16 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test16.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}

	public void test17() {
		System.out.println("test17 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test17.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}

	public void test18() {
		System.out.println("test18 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test18.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			
		}catch (InvalidXmlException e) {
			if (xml != null) {
				
			} else {
				System.out.println(e.getMessage());
			}
			return;
		}
		fail();
	}

	public void test19() {
		System.out.println("test19 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test19.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}

	public void test20() {
		System.out.println("test20 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test20.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}

	public void test21() {
		System.out.println("test21 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test21.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}

	public void test22() {
		System.out.println("test22 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test22.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}

	public void test23() {
		System.out.println("test23 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test23.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}

	public void test24() {
		System.out.println("test24 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test24.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}
	
	public void test25() {
		System.out.println("test25 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test25.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}
	
	public void test26() {
		System.out.println("test26 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test26.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}
	
	public void test27() {
		System.out.println("test27 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test27.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}
	
	public void test28() {
		System.out.println("test28 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test28.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}
	
	public void test29() {
		System.out.println("test29 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test29.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}
	
	public void test30() {
		System.out.println("test30 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test30.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}
	
	public void test31() {
		System.out.println("test31 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test31.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}
	
	public void test32() {
		System.out.println("test32 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test32.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}
	
	public void test33() {
		System.out.println("test33 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test33.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}
	
	public void test34() {
		System.out.println("test34 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test34.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}
	
	public void test35() {
		System.out.println("test35 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test35.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}
	
	public void test36() {
		System.out.println("test36 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test36.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}
	
	public void test37() {
		System.out.println("test37 error");
		XmlManager xml = null;
		try {
			xml = new XmlManager("Tests/XSD/test37.xml", report);
			xml.verifierFichierRegle(new File("Tests/XSD/Validator1.4.xsd"));
		}catch (RessourceException e) {
			e.printStackTrace();
		}catch (InvalidXmlException e) {
			
			return;
		}
		fail();
	}

}
