package oco.tests.junits0;

import java.util.ArrayList;

import org.w3c.dom.Document;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

import oco.erreur.InvalidXmlException;
import oco.erreur.RessourceException;
import oco.regles.Mandatory;
import oco.regles.Regle;
import oco.structure.ElementStructure;
import oco.structure.FactoryElementStructurel;
import oco.traitement.XmlManager;

public class TestExecutionRegle {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		ChargementCdf chargeur = new ChargementCdf();
		chargeur.charger("tests/Cdf/D_test2.xml");

		ArrayList [] tabLst = {chargeur.getLstDimensions(),
								chargeur.getLstGlobalAttrs(),
								chargeur.getLstVariables()};

		XmlManager xmlRegle = null;

		ElementStructure elemStruct = null;

		Regle rule = null;

		try {
			xmlRegle = new XmlManager("tests/Regles/R_test4.xml",null);
		} catch (RessourceException e) {
			e.printStackTrace();
		} catch (InvalidXmlException e) {
			e.printStackTrace();
		}

		Document doc = xmlRegle.getDoc();
		NodeList lstXmlRule = doc.getDocumentElement().getChildNodes();

		for (int i = 0;i<lstXmlRule.getLength(); i++) {
			Node xmlRule = lstXmlRule.item(i);
			if (xmlRule.getNodeType() == Node.ELEMENT_NODE) {

				rule = new Mandatory(null,tabLst,null, null);
				// boucle sur les element structuraux
				NodeList lstXmlElemStruct = xmlRule.getChildNodes();

				for (int j = 0;j<lstXmlElemStruct.getLength(); j++) {
					Node xmlElemStruct = lstXmlElemStruct.item(j);
					if (xmlElemStruct.getNodeType() == Node.ELEMENT_NODE && rule != null) {
						elemStruct = FactoryElementStructurel.createElementStructurel(xmlElemStruct);
						rule.add(elemStruct);
					}
				}
			}
		}
		rule.executerRegles();

	}
}
