package oco.structure;

import java.util.ArrayList;
import java.util.Iterator;

import oco.erreur.ErreurRegles;

public class Type extends ElementSimple {

	/**
	 * Constructeur
	 * 
	 */
	public Type() {
		super();
	}

	public Type(String nomType) {
		super(nomType);
	}

	/**
	 * trouver
	 * 
	 */
	public ArrayList<String []> trouver(ArrayList lst, String ruleLevel) {
		ArrayList<String []> lstErreur = new ArrayList<String []>();
		boolean exists = false;
		
		Iterator iterLst = lst.iterator();
		while (iterLst.hasNext() && exists == false) {
			Type type = (Type) iterLst.next();
			if (this.equals(type)) {
				exists = true;
			}
		}
		if (exists == false) {
			// Erreur aucune dimension de definie
			String [] tab = {
				String.valueOf(ErreurRegles.TYPE_NOT_FOUND),
				this.getName()};
			lstErreur.add(tab);
		}
		return lstErreur;
	}

	/**
	 * 
	 * 
	 */
	public boolean equals(Object ob) {
		boolean retour = false;
		
		if (ob instanceof Type) {
			Type tmp = (Type)ob;
			if (tmp.getName().equals(this.getName())) {
				retour = true;
			}
		}
		return retour;
	}
}
