package oco.tests.junits;

import java.io.IOException;

import oco.traitement.CoNetcdfFile;
import ucar.nc2.NetcdfFile;
import junit.framework.TestCase;

public class TestCdf extends TestCase {
	public void testChargerSpectra() {
		String filename = "tests/Cdf/SPECTRA/Spectra1.nc";
		NetcdfFile dataFile = null;
		try {
			dataFile = NetcdfFile.open(filename, null);
		} catch (IOException e) {
			e.printStackTrace();
		}
		CoNetcdfFile fic = new CoNetcdfFile(dataFile);
		fic.retournerDimensions();
		fic.retournerGlobalAttributes();
		fic.retournerVariables();
		System.out.println("FINI");
	}

	public void testChargerOriented() {
		String filename = "tests/Cdf/ORIENTED/Oriented1.nc";
		NetcdfFile dataFile = null;
		try {
			dataFile = NetcdfFile.open(filename, null);
		} catch (IOException e) {
			e.printStackTrace();
		}
		CoNetcdfFile fic = new CoNetcdfFile(dataFile);
		fic.retournerDimensions();
		fic.retournerGlobalAttributes();
		fic.retournerVariables();
		System.out.println("FINI");
	}

	public void testChargerStraight() {
		String filename = "tests/Cdf/STRAIGHT/Straight2.nc";
		NetcdfFile dataFile = null;
		try {
			dataFile = NetcdfFile.open(filename, null);
		} catch (IOException e) {
			e.printStackTrace();
		}
		CoNetcdfFile fic = new CoNetcdfFile(dataFile);
		fic.retournerDimensions();
		fic.retournerGlobalAttributes();
		fic.retournerVariables();
		System.out.println("FINI");
	}

}
