package oco.tests.junits;

import oco.erreur.MessageErrorManager;
import oco.FormatControl;
import junit.framework.TestCase;

/**
 * A passer avec Validator1.5.xsd
 * 
 */

public class TestOptional extends TestCase {

	protected void setUp() throws Exception {
		super.setUp();
		System.setProperty("application.properties", "PROPERTIES/application.properties");
		System.out.println("");
	}

	MessageErrorManager gestionMessageErreur;

	public void test1() {
		System.out.println("test1");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight1.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test2() {
		System.out.println("test2");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight2.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test3() {
		System.out.println("test3");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight3.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test4() {
		System.out.println("test4");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight4.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test5() {
		System.out.println("test5");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight5.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test6() {
		System.out.println("test6");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight6.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test7() {
		System.out.println("test7");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight7.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test8() {
		System.out.println("test8 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight8.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test9() {
		System.out.println("test9 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight9.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test10() {
		System.out.println("test10");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight10.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test11() {
		System.out.println("test11");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight11.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test12() {
		System.out.println("test12");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight12.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test13() {
		System.out.println("test13");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight13.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test14() {
		System.out.println("test14");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight14.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test15() {
		System.out.println("test15");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight15.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test16() {
		System.out.println("test16 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight2.nc",
				"Tests/Regles/STRAIGHT/R_Straight16.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test17() {
		System.out.println("test17 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight2.nc",
				"Tests/Regles/STRAIGHT/R_Straight17.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test18() {
		System.out.println("test18 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight2.nc",
				"Tests/Regles/STRAIGHT/R_Straight18.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test19() {
		System.out.println("test19");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight2.nc",
				"Tests/Regles/STRAIGHT/R_Straight19.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test20() {
		System.out.println("test20");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight2.nc",
				"Tests/Regles/STRAIGHT/R_Straight20.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test21() {
		System.out.println("test21 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight21.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test22() {
		System.out.println("test22");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight22.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test23() {
		System.out.println("test23 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight19.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test24() {
		System.out.println("test24 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight16.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test25() {
		System.out.println("test25 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight23.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test26() {
		System.out.println("test26 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight24.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test27() {
		System.out.println("test27");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight25.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test28() {
		System.out.println("test28");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight2.nc",
				"Tests/Regles/STRAIGHT/R_Straight26.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test29() {
		System.out.println("test29");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight2.nc",
				"Tests/Regles/STRAIGHT/R_Straight27.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test30() {
		System.out.println("test30");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight2.nc",
				"Tests/Regles/STRAIGHT/R_Straight28.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test31() {
		System.out.println("test31");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight2.nc",
				"Tests/Regles/STRAIGHT/R_Straight29.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test32() {
		System.out.println("test32");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight28.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test33() {
		System.out.println("test33");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight26.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test34() {
		System.out.println("test34");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight20.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test35() {
		System.out.println("test35");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight30.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test36() {
		System.out.println("test36");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight31.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test37() {
		System.out.println("test37 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight32.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test38() {
		System.out.println("test38 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight33.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test39() {
		System.out.println("test39 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight34.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test40() {
		System.out.println("test40 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight35.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test41() {
		System.out.println("test41 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight36.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test42() {
		System.out.println("test42 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight37.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test43() {
		System.out.println("test43 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight38.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test44() {
		System.out.println("test44 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight39.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test45() {
		System.out.println("test45 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight40.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test46() {
		System.out.println("test46");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight41.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test47() {
		System.out.println("test47");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight42.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test48() {
		System.out.println("test48 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight43.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test49() {
		System.out.println("test49 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight44.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test50() {
		System.out.println("test50 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight45.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test51() {
		System.out.println("test51");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight46.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test52() {
		System.out.println("test52");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight47.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test53() {
		System.out.println("test53 warning");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight48.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test54() {
		System.out.println("test54 status ko");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight49.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test55() {
		System.out.println("test55");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight50.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test56() {
		System.out.println("test56 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight51.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test58() {
		System.out.println("test58 status ko");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight52.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test59() {
		System.out.println("test59 status ko");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight52.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test60() {
		System.out.println("test60 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight53.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test61() {
		System.out.println("test61 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight53.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test62() {
		System.out.println("test62 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight54.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test63() {
		System.out.println("test63 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight54.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test64() {
		System.out.println("test64");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight55.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test65() {
		System.out.println("test65");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight56.xml");
		if (gestionMessageErreur.isCompliant() == false) {
			fail();
		}
	}

	public void test66() {
		System.out.println("test66 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight57.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test67() {
		System.out.println("test67 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight58.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test68() {
		System.out.println("test68 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight59.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test69() {
		System.out.println("test69 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight60.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test70() {
		System.out.println("test70 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight61.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

	public void test71() {
		System.out.println("test71 compliant no");
		gestionMessageErreur = FormatControl.executerTest(
				"Tests/Cdf/STRAIGHT/Straight1.nc",
				"Tests/Regles/STRAIGHT/R_Straight62.xml");
		if (gestionMessageErreur.isCompliant() == true) {
			fail();
		}
	}

}
