package oco.tests.junits0;

import java.io.File;
import java.io.FileInputStream;
import java.io.InputStream;
import java.util.Enumeration;
import java.util.Properties;

public class TestProperties {

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		Properties propertiesApplication = null;

		try {
			propertiesApplication = chargerFichierProperties(null);
		} catch (Exception exc) {
			// sortie standard
			exc.printStackTrace();
		}

		Enumeration enumer = propertiesApplication.keys();

		while (enumer.hasMoreElements()) {
			String elem = (String)enumer.nextElement();
			String nomFichierRegle = (String)propertiesApplication.get(elem);
			System.out.println(elem + " " +nomFichierRegle);

			if (elem.equals("error.file")) {
				Properties propertiesError = null;

				try {
					propertiesError = chargerFichierProperties(nomFichierRegle);
				} catch (Exception exc) {
					// sortie standard
					exc.printStackTrace();
				}
				Enumeration enumerError= propertiesError.keys();

				while (enumerError.hasMoreElements()) {
					System.out.println(propertiesError.get(enumerError.nextElement()));
				}
			}
		}
	}

	private static Properties chargerFichierProperties(String fichier) throws Exception {
		String fichierDeConf = null;
		if (fichier == null) {
			fichierDeConf = System.getProperty("fichierconf");
		} else {
			fichierDeConf = fichier;
		}
		Properties properties = new Properties();
		InputStream is = null;

		is = new FileInputStream(new File(fichierDeConf));
		properties.load(is);

		return properties;
	}
}
